Page MenuHomePhabricator

Marking a Flow topic as unresolved creates "cur" links that give Fatal exceptions
Closed, ResolvedPublic

Description

Re-opening a resolved Flow topic, adds links to the history that give fatal errors. (2 types, might need to be split into 2 tasks)

E.g. (please don't edit this topic) the top "cur" link at http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Spcn7a9iurr9va0b&action=history
leads to http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Spcn7a9iurr9va0b&action=compare-postsummary-revisions&topicsummary_newRevision=spcn8wt86omraot4&topicsummary_oldRevision=spcn9enyj02pjkew
which says:

An error has occurred.

Return to Main Page

[4100f6cc] /w/index.php?title=Topic:Spcn7a9iurr9va0b&action=compare-postsummary-revisions&topicsummary_newRevision=spcn8wt86omraot4&topicsummary_oldRevision=spcn9enyj02pjkew Flow\Exception\FlowException from line 489 of /srv/mediawiki/php-master/extensions/Flow/includes/Formatter/RevisionFormatter.php: reply called without $postId

Backtrace:

#0 /srv/mediawiki/php-master/extensions/Flow/includes/Formatter/RevisionFormatter.php(202): Flow\Formatter\RevisionFormatter->buildActions(Flow\Formatter\FormatterRow)
#1 /srv/mediawiki/php-master/extensions/Flow/includes/Formatter/RevisionViewFormatter.php(43): Flow\Formatter\RevisionFormatter->formatApi(Flow\Formatter\FormatterRow, Flow\View)
#2 /srv/mediawiki/php-master/extensions/Flow/includes/Formatter/RevisionDiffViewFormatter.php(33): Flow\Formatter\RevisionViewFormatter->formatApi(Flow\Formatter\FormatterRow, Flow\View)
#3 /srv/mediawiki/php-master/extensions/Flow/includes/Block/TopicSummary.php(291): Flow\Formatter\RevisionDiffViewFormatter->formatApi(Flow\Formatter\FormatterRow, Flow\Formatter\FormatterRow, Flow\View)
#4 /srv/mediawiki/php-master/extensions/Flow/includes/View.php(177): Flow\Block\TopicSummaryBlock->renderApi(array)
#5 /srv/mediawiki/php-master/extensions/Flow/includes/View.php(69): Flow\View->buildApiResponse(Flow\WorkflowLoader, array, string, array)
#6 /srv/mediawiki/php-master/extensions/Flow/includes/Actions/Action.php(100): Flow\View->show(Flow\WorkflowLoader, string)
#7 /srv/mediawiki/php-master/extensions/Flow/includes/Actions/Action.php(46): Flow\Actions\FlowAction->showForAction(string)
#8 /srv/mediawiki/php-master/includes/MediaWiki.php(458): Flow\Actions\FlowAction->show()
#9 /srv/mediawiki/php-master/includes/MediaWiki.php(255): MediaWiki->performAction(Article, Title)
#10 /srv/mediawiki/php-master/includes/MediaWiki.php(682): MediaWiki->performRequest()
#11 /srv/mediawiki/php-master/includes/MediaWiki.php(476): MediaWiki->main()
#12 /srv/mediawiki/php-master/index.php(41): MediaWiki->run()
#13 /srv/mediawiki/w/index.php(3): include(string)
#14 {main}

Note: This is reproducible at mw.o: https://www.mediawiki.org/w/index.php?title=Topic:Spcnwe92runncbvr&action=history


Possibly related, or might need to be split-out...

Changing the title, at a topic that is otherwise identical, e.g. http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Spcmomfi73pwaauj&action=history
leads to a different error at http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Spcmomfi73pwaauj&action=compare-post-revisions&topic_newRevision=spcmu8q6vsnxng9k&topic_oldRevision=spcn37uj8w0gfxwr

An error has occurred while processing the data in your request.

Return to Main Page

[8d95e958] /w/index.php?title=Topic:Spcmomfi73pwaauj&action=compare-post-revisions&topic_newRevision=spcmu8q6vsnxng9k&topic_oldRevision=spcn37uj8w0gfxwr Flow\Exception\DataModelException from line 133 of /srv/mediawiki/php-master/extensions/Flow/includes/Model/PostRevision.php: tree revision doesn't match provided revision: treeRevId (NULL) != obj->revId (spcmu8q6vsnxng9k)

Backtrace:

#0 [internal function]: Flow\Model\PostRevision::fromStorageRow(array, Flow\Model\PostRevision)
#1 /srv/mediawiki/php-master/extensions/Flow/includes/Data/Mapper/CachingObjectMapper.php(89): call_user_func(array, array, NULL)
#2 /srv/mediawiki/php-master/extensions/Flow/includes/Data/ObjectLocator.php(298): Flow\Data\Mapper\CachingObjectMapper->fromStorageRow(array)
#3 /srv/mediawiki/php-master/extensions/Flow/includes/Data/ObjectManager.php(304): Flow\Data\ObjectLocator->load(array)
#4 /srv/mediawiki/php-master/extensions/Flow/includes/Data/ObjectLocator.php(105): Flow\Data\ObjectManager->load(array)
#5 /srv/mediawiki/php-master/extensions/Flow/includes/Data/ObjectLocator.php(195): Flow\Data\ObjectLocator->findMulti(array)
#6 /srv/mediawiki/php-master/extensions/Flow/includes/Data/ObjectLocator.php(169): Flow\Data\ObjectLocator->getMulti(array)
#7 [internal function]: Flow\Data\ObjectLocator->get(Flow\Model\UUID)
#8 /srv/mediawiki/php-master/extensions/Flow/includes/Data/ManagerGroup.php(129): call_user_func_array(array, array)
#9 /srv/mediawiki/php-master/extensions/Flow/includes/Data/ManagerGroup.php(133): Flow\Data\ManagerGroup->call(string, array)
#10 /srv/mediawiki/php-master/extensions/Flow/includes/Formatter/RevisionViewQuery.php(182): Flow\Data\ManagerGroup->get(string, Flow\Model\UUID)
#11 /srv/mediawiki/php-master/extensions/Flow/includes/Formatter/RevisionViewQuery.php(68): Flow\Formatter\PostViewQuery->createRevision(Flow\Model\UUID)
#12 /srv/mediawiki/php-master/extensions/Flow/includes/Block/Topic.php(586): Flow\Formatter\RevisionViewQuery->getDiffViewResult(Flow\Model\UUID, Flow\Model\UUID)
#13 /srv/mediawiki/php-master/extensions/Flow/includes/Block/Topic.php(517): Flow\Block\TopicBlock->renderDiffViewApi(array)
#14 /srv/mediawiki/php-master/extensions/Flow/includes/View.php(177): Flow\Block\TopicBlock->renderApi(array)
#15 /srv/mediawiki/php-master/extensions/Flow/includes/View.php(69): Flow\View->buildApiResponse(Flow\WorkflowLoader, array, string, array)
#16 /srv/mediawiki/php-master/extensions/Flow/includes/Actions/Action.php(100): Flow\View->show(Flow\WorkflowLoader, string)
#17 /srv/mediawiki/php-master/extensions/Flow/includes/Actions/Action.php(46): Flow\Actions\FlowAction->showForAction(string)
#18 /srv/mediawiki/php-master/includes/MediaWiki.php(458): Flow\Actions\FlowAction->show()
#19 /srv/mediawiki/php-master/includes/MediaWiki.php(255): MediaWiki->performAction(Article, Title)
#20 /srv/mediawiki/php-master/includes/MediaWiki.php(682): MediaWiki->performRequest()
#21 /srv/mediawiki/php-master/includes/MediaWiki.php(476): MediaWiki->main()
#22 /srv/mediawiki/php-master/index.php(41): MediaWiki->run()
#23 /srv/mediawiki/w/index.php(3): include(string)
#24 {main}

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterFix 'cur' and 'prev' links for topic summary

Event Timeline

Quiddity created this task.Sep 21 2015, 5:45 PM
Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a subscriber: Quiddity.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 21 2015, 5:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyH triaged this task as High priority.Sep 21 2015, 5:49 PM
DannyH set Security to None.

Change 240366 had a related patch set uploaded (by Sbisson):
Fix 'cur' and 'prev' links for topic summary

https://gerrit.wikimedia.org/r/240366

Change 240366 merged by jenkins-bot:
Fix 'cur' and 'prev' links for topic summary

https://gerrit.wikimedia.org/r/240366

Etonkovidova added a subscriber: Etonkovidova.EditedSep 23 2015, 10:38 PM

Checked in betalabs for those two cases (links (http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Spcn7a9iurr9va0b&action=compare-postsummary-revisions&topicsummary_newRevision=spcn9enyj02pjkew
and
http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Spcmomfi73pwaauj&action=compare-post-revisions&topic_newRevision=spcn37uj8w0gfxwr)

NOTE:
DannyH closed this task as Resolved.Sep 24 2015, 5:18 PM
DannyH added a subscriber: DannyH.